LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPackageTypeInfo Interface Reference

Objects of this interface provide information about a package's type. More...

`import"XPackageTypeInfo.idl";`

## Public Member Functions
string | getMediaType ()
| returns the media type of a package, e.g. More...
string | getDescription () raises (ExtensionRemovedException)
| returns a description string to describe a package type. More...
string | getShortDescription () raises (ExtensionRemovedException)
| returns a short description string to describe a package type (one line only). More...
string | getFileFilter ()
| returns a file filter string for the file picker user interface. More...
any | getIcon ([in] boolean highContrast, [in] boolean smallIcon)
| returns an icon for a package. More...

## Detailed Description

Objects of this interface provide information about a package's type.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getDescription()

string getDescription | ( |  | ) |
raises | ( | ExtensionRemovedException
| ) |  |

returns a description string to describe a package type.

Returns
  description

## ◆ getFileFilter()

string getFileFilter | ( |  | ) |

returns a file filter string for the file picker user interface.

Both, the short description string and file filter string will be passed to com::sun::star::ui::dialogs::XFilterManager::appendFilter().

Returns
  file filter string

## ◆ getIcon()

any getIcon | ( | [in] boolean | highContrast,
|  | [in] boolean | smallIcon
| ) |  |

returns an icon for a package.

Parameters

  highContrast | argument is ignored
  smallIcon | argument is ignored

Returns
  empty any

Deprecated:

## ◆ getMediaType()

string getMediaType | ( |  | ) |

returns the media type of a package, e.g.

`application/vnd.sun.star.basic-script`.

Returns
  media type of package

## ◆ getShortDescription()

string getShortDescription | ( |  | ) |
raises | ( | ExtensionRemovedException
| ) |  |

returns a short description string to describe a package type (one line only).

Returns
  description

The documentation for this interface was generated from the following file:

- com/sun/star/deployment/XPackageTypeInfo.idl